POST /vimgrvcenterruntime/initiate/createse

POST /vimgrvcenterruntime/initiate/createse

/vimgrvcenterruntime/initiate/createse

Request
URI
POST
https://{api_host}/api/vimgrvcenterruntime/initiate/createse
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Request Body

cc_create_se_req

cc_create_se_req of type(s) application/json
Required  

Show optional properties

{
    "controller_ip_addr": "string",
    "cookie": "string",
    "name": "string"
}
{
    "availability_zone": "string",
    "cc_id": "string",
    "controller_ip4_addr": "string",
    "controller_ip6_addr": "string",
    "controller_ip_addr": "string",
    "cookie": "string",
    "data_networks": [
        "string"
    ],
    "disk_gb": 0,
    "disk_offering": "string",
    "flavor": "string",
    "host_list": [
        {
            "mor": "string",
            "name": "string",
            "se_grp_low_pri_host": false,
            "uuid": "string",
            "vs_low_pri_host": false
        }
    ],
    "hypervisor": "string",
    "mgmt_network_name": "string",
    "mgmt_network_uuid": "string",
    "name": "string",
    "networks": [
        "string"
    ],
    "ram": 0,
    "segroup_uuid": "string",
    "service_offering": "string",
    "tenant_uuid": "string",
    "vcenter_vm_folder": "string",
    "vcpus": 0,
    "vs_uuids": [
        "string"
    ]
}
string
availability_zone
Optional

OS single AZ for placement. AWS the AZ is determined by the VIP subnet. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
cc_id
Optional
Constraints: default: cloud-0

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
controller_ip4_addr
Optional

IPv4 address of the controller. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
controller_ip6_addr
Optional

IPv6 address of the controller. Field introduced in 30.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
controller_ip_addr
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
cookie
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
data_networks
Optional

Data networks. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
disk_gb
Optional
Constraints: default: 10

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
disk_offering
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
flavor
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
host_list
Optional

Host information sent from resource manager to the cloud connector. Field introduced in 22.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
hypervisor
Optional

Enum options - DEFAULT, VMWARE_ESX, KVM, VMWARE_VSAN, XEN. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
mgmt_network_name
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
mgmt_network_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
name
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
networks
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
ram
Optional
Constraints: default: 2048

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
segroup_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
service_offering
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
tenant_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
vcenter_vm_folder
Optional

Folder in which the VM is created. Field introduced in 22.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
vcpus
Optional
Constraints: default: 2

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
vs_uuids
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns string of type(s) application/json
Operation doesn't return any data structure

401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"controller_ip_addr":"string","cookie":"string","name":"string"}' https://{api_host}/api/vimgrvcenterruntime/initiate/createse